[Unit]
Description=dpkg first boot configure
DefaultDependencies=no
After=systemd-remount-fs.service systemd-tmpfiles-setup.service tmp.mount
Before=sysinit.target

[Service]
Type=oneshot
EnvironmentFile=-/etc/default/postinst
ExecStart=-/bin/sh -c " if [ $POSTINST_LOGGING = '1' ]; then /usr/bin/dpkg --configure -a > $LOGFILE 2>&1; else /usr/bin/dpkg --configure -a; fi"
ExecStartPost=/bin/systemctl disable dpkg-configure.service
StandardOutput=syslog
RemainAfterExit=No

[Install]
WantedBy=basic.target
WantedBy=sysinit.target
